<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.platform.mapper.BanksMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="banksResultMap" type="org.springblade.modules.platform.entity.Banks">
        <id column="id" property="id"/>
        <result column="bank_name" property="bankName"/>
        <result column="bank_img" property="bankImg"/>
        <result column="bank_code" property="bankCode"/>
        <result column="is_show" property="isShow"/>
        <result column="is_deleted" property="isDeleted"/>
    </resultMap>


    <select id="selectBanksPage" resultMap="banksResultMap">
        select * from t_banks where is_deleted = 0
    </select>

</mapper>
